Opened 3 years ago

Closed 21 months ago

#5632 closed enhancement (fixed)

Update for Leveller raster driver

Reported by: rayg Owned by: warmerdam
Priority: normal Milestone: 2.1.0
Component: GDAL_Raster Version: unspecified
Severity: normal Keywords: driver, leveller, raster
Cc:

Description

Just a small update for the Leveller raster driver. It supports opening for more recent Leveller file formats and fixes two typecast warnings.

Attachments (1)

gdal-frmts-leveller.zip (12.2 KB) - added by rayg 3 years ago.
zip containing files which have changed in frmts/leveller

Download all attachments as: .zip

Change History (4)

Changed 3 years ago by rayg

Attachment: gdal-frmts-leveller.zip added

zip containing files which have changed in frmts/leveller

comment:1 Changed 3 years ago by Even Rouault

Ray, any reason not to apply id by yourself ? Just be careful to properly merge it with the version in trunk, there's at least the new "poDriver->SetMetadataItem?( GDAL_DCAP_RASTER, "YES" );", introduced after RFC 46 changes, that is missing in your verson

comment:2 Changed 3 years ago by Jukka Rahkonen

Ray, go ahead and I will say "Hooray" for you!

comment:3 Changed 21 months ago by Even Rouault

Milestone: 2.1.0
Resolution: fixed
Status: newclosed

I dislike doing other maintainers' job... Hopefully I've managed to identify the real changes over other unrelated changes that have occured in trunk in the meantime.

trunk r30758 "Leveller: updtte to v9 read support (#5632, patch by rayg)"

Note: See TracTickets for help on using tickets.